<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>bigint_sqrt</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="percentbigint_size.html">&lt;&lt; bigint_size</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7b349a707006df5d98ef704349f404bc.html">extended_scilab_functions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentbigint_string.html">bigint_string &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_7b349a707006df5d98ef704349f404bc.html">extended_scilab_functions</a> &gt; bigint_sqrt</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">bigint_sqrt</h1>
    <p class="refpurpose">bigint square root</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x,y:</span>
            <dd><p class="para">bigint</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">y is the integer part of the square root of x</p>
   <p class="para"><span><img src='./_LaTeX_percentbigint_sqrt.xml_1.png' style='position:relative;top:6px;width:187px;height:22px'/></span></p>
   <p class="para">the algorithm use the Newton method , i.e. it computes the sequence</p>
   <p class="para"><span><img src='./_LaTeX_percentbigint_sqrt.xml_2.png' style='position:relative;top:10px;width:128px;height:26px'/></span>
until <span><img src='./_LaTeX_percentbigint_sqrt.xml_3.png' style='position:relative;top:6px;width:108px;height:20px'/></span></p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><a class="scilabcommand" href="scilab://sqrt">sqrt</a><span class="scilabopenclose">(</span><span class="scilabnumber">9876543210</span><span class="scilabopenclose">)</span>
<a class="scilabcommand" href="scilab://sqrt">sqrt</a><span class="scilabopenclose">(</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">9876543210</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="bigint.html" class="link">bigint</a></li>
   <li class="member"><a href="scilab://sqrt" class="link">sqrt</a></li>
   <li class="member"><a href="scilab://abs" class="link">abs</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="percentbigint_size.html">&lt;&lt; bigint_size</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7b349a707006df5d98ef704349f404bc.html">extended_scilab_functions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentbigint_string.html">bigint_string &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
